SweeperActions (gCube Resource Sweeper Widget 0.1.0-SNAPSHOT API)
Date: 2012-12-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.portlets.admin.resourcesweeper.shared
Enum SweeperActions

    java.lang.Object
      java.lang.Enum<SweeperActions>
          org.gcube.portlets.admin.resourcesweeper.shared.SweeperActions

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, Serializable, Comparable<SweeperActions>

    public enum SweeperActions

extends Enum<SweeperActions>
implements com.google.gwt.user.client.rpc.IsSerializable, Serializable

Author:
  Daniele Strollo (ISTI-CNR)

Enum Constant Summary
`APPLY_GHN_DELETE`
`APPLY_GHN_MOVE_TO_UNREACHABLE`
`APPLY_RI_DELETE`
`GET_GHN_DELETE`
`GET_GHN_MOVE_TO_UNREACHABLE`
`GET_RI_DELETE`

Method Summary
`String` | `getLabel()`
`String` | `getOperationDescription()`
`String` | `getTooltip()`
`static SweeperActions` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SweeperActions[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GET_GHN_MOVE_TO_UNREACHABLE

    public static final SweeperActions GET_GHN_MOVE_TO_UNREACHABLE

### GET_GHN_DELETE

    public static final SweeperActions GET_GHN_DELETE

### GET_RI_DELETE

    public static final SweeperActions GET_RI_DELETE

### APPLY_GHN_MOVE_TO_UNREACHABLE

    public static final SweeperActions APPLY_GHN_MOVE_TO_UNREACHABLE

### APPLY_GHN_DELETE

    public static final SweeperActions APPLY_GHN_DELETE

### APPLY_RI_DELETE

    public static final SweeperActions APPLY_RI_DELETE

Method Detail

### values

    public static SweeperActions[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SweeperActions c : SweeperActions.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SweeperActions valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getTooltip

    public String getTooltip()

### getLabel

    public String getLabel()

### getOperationDescription

    public String getOperationDescription()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012. All Rights Reserved.